"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installPackagesTask = void 0;
const child_process_1 = require("child_process");
const package_manager_1 = require("@nrwl/tao/src/shared/package-manager");
let storedPackageJsonValue;
/**
 * Runs `npm install` or `yarn install`. It will skip running the install if
 * `package.json` hasn't changed at all or it hasn't changed since the last invocation.
 *
 * @param host - the file system tree
 * @param alwaysRun - always run the command even if `package.json` hasn't changed.
 */
function installPackagesTask(host, alwaysRun = false) {
    const packageJsonValue = host.read('package.json').toString();
    if (host.listChanges().find((f) => f.path === 'package.json') || alwaysRun) {
        if (storedPackageJsonValue != packageJsonValue || alwaysRun) {
            storedPackageJsonValue = host.read('package.json').toString();
            const pmc = package_manager_1.getPackageManagerCommand();
            child_process_1.execSync(pmc.install, {
                cwd: host.root,
                stdio: [0, 1, 2],
            });
        }
    }
}
exports.installPackagesTask = installPackagesTask;
//# sourceMappingURL=install-packages-task.js.map